Last Comment Bug 703472 - Retain the DataSourceSurface in GetThebesSurfaceForDrawTarget
: Retain the DataSourceSurface in GetThebesSurfaceForDrawTarget
Status: RESOLVED FIXED
[qa?]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla11
Assigned To: Jeff Muizelaar [:jrmuizel]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 17:45 PST by Jeff Muizelaar [:jrmuizel]
Modified: 2012-02-01 13:58 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Retain the DataSourceSurface (1.05 KB, patch)
2011-11-17 17:45 PST, Jeff Muizelaar [:jrmuizel]
bas: review+
christian: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2011-11-17 17:45:17 PST
Created attachment 575348 [details] [diff] [review]
Retain the DataSourceSurface

The Quartz Azure backend has the data owned by the DataSourceSurface so we can't drop the DataSourceSurface after creating an image surface around it. This patch keeps the DataSourceSurface around for the lifetime of the gfxASurface.
Comment 1 Bas Schouten (:bas.schouten) 2011-11-17 17:54:34 PST
Comment on attachment 575348 [details] [diff] [review]
Retain the DataSourceSurface

Review of attachment 575348 [details] [diff] [review]:
-----------------------------------------------------------------

This is good.
Comment 2 Jeff Muizelaar [:jrmuizel] 2011-11-17 20:57:21 PST
This fixes a possible leak and should be quite safe.
Comment 3 Ed Morley [:emorley] 2011-11-18 03:03:13 PST
https://hg.mozilla.org/mozilla-central/rev/2c6e762d9c2a
Comment 4 Jeff Muizelaar [:jrmuizel] 2011-12-14 12:54:22 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/3e1324e78c8a
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 13:46:36 PST
Is this something QA can verify?

Note You need to log in before you can comment on or make changes to this bug.